<%# encoding: utf-8 %>

<%= render 'layouts/header' %>

<meta http-equiv="content-type" content="text/html;charset=UTF-8"/>

<!-- hab mal den kram an bissle standart angepasst -->
<div class="container">

  <h1>Wochenansicht</h1>

  <form class="form-inline" action="/weekoverview/index" accept-charset="UTF-8" method="post" style="margin: 1%">
    <div class="form-group">
      <label class="control-label" for="date">Ansicht zum</label>
      <input type="date" name="date" class="form-control" id="date" placeholder="Ansichtsdatum" min="1990-01-01" max="2250-12-31" value="<%= @date.to_s %>">
      <%= hidden_field_tag :authenticity_token, form_authenticity_token %>
      <button type="submit" class="btn btn-primary">Go</button>
    </div>
  </form>

  <table class="table table-striped table-bordered table-condensed">
    <thead>
    <tr>
      <% @array.each do |data| %>
          <th class="text-center" style="background-color: #f9f9f9">
            <%= data["day"]["name"] %> <br>
            <%= data["day"]["date"].to_s %>
          </th>
      <% end %>
    </tr>
    </thead>

    <tbody>
    <!-- jedes tr ist eine zeile in der table

         ein td sntspricht nach der reihenfolge eine spalte in der table

          so braucht jeder eintrg bei uns 7 tds für 7 tage wenn man alle füllen möchte

          das laern wir dann in schleifen aus und temp blöcke
    -->

    <!-- first row -->
    <tr>
      <% @array.each_with_index do |data, index| %>
          <td class='row'>
            <div class="panel-group">
              <div class="list-group">
                <% if data["trainingsDay"] != nil %>
                    <% data["trainingsDay"].trainings.each do |trainings| %>
                        <% if trainings.type.to_s.eql? 'StrengthTraining' %>
                            <a href='<%= strength_training_path(trainings) %>' class="list-group-item list-group-item-success" style="font-weight: bold">
                              <div>
                                <%= trainings.name %>
                              </div>
                            </a>
                        <% end %>
                        <% if trainings.type.to_s.eql? 'EnduranceTraining' %>
                            <a href='<%= endurance_training_path(trainings) %>' class="list-group-item list-group-item-success" style="font-weight: bold">
                              <div>
                                <%= trainings.name %>
                              </div>
                            </a>
                        <% end %>
                    <% end %>
                <% end %>
                <a href='/trainings/new/<%= @array[index]["day"]["date"].to_s %>' class="list-group-item list-group-item-success" id="new_training_entry<%= index %>">+ New Training</a>
              </div>
              <div class="list-group">
                <% if data["trainingsDay"] != nil %>
                    <% data["trainingsDay"].statistic_entries.each do |statistic_entry| %>
                        <a href='<%= statistic_entry_path(statistic_entry) %>' class="list-group-item list-group-item-info">
                          <div style="display: block">
                            <div  style="float: left; margin: auto; font-weight: bold"><%= statistic_entry.name %></div>
                            <div class="label" style="margin: 5%; color: black"><%= statistic_entry.value %></div>
                          </div>
                        </a>
                    <% end %>
                <% end %>
                <a href='/statistic_entries/new/<%= @array[index]["day"]["date"].to_s %>' class="list-group-item list-group-item-info" id="new_stat_entry<%= index %>">+ New Statistic</a>
              </div>
            </div>
          </td>
      <% end %>
    </tr>
    <!-- second row -->
    </tbody>
    <!--<td>-->
    <!--<div>-->
    <!--<%# @array[0].trainings.each do |trainings| %>-->
    <%#= trainings %>
    <!--<%# end %>-->
    <!--</div>-->
    <!--</td>-->
    <!--</table>-->
  </table>
</div>
